Bug 1284951 - JBoss EAP6-PIT tests failed on RHEL6.7 with package java-1.6.0-ibm-1.6.0.16.15-1jpp.1.el6_7
JBoss EAP6-PIT tests failed on RHEL6.7 with package java-1.6.0-ibm-1.6.0.16.1...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: PIT (Show other bugs)
6.4.4
ppc64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Kremensky
Petr Kremensky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 09:28 EST by Ryan Williams
Modified: 2016-02-01 02:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-01 02:39:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Williams 2015-11-24 09:28:35 EST
Description of problem:

Automated tests failed while running EAP6-PIT tests triggered against a new build of IBM jdk package.

JDK package: java-1.6.0-ibm-1.6.0.16.15-1jpp.1.el6_7

Machine details:
OS: RHEL6.7
ARCH: PPC64

Failed test cases:
1. ibm16 .ibm16-org-jboss-as-test-integration-security-picketlink-SAML2AttributeMappingTestCase-testPassUserPrincipalToAttributeManager
2. ibm16 .ibm16-org-jboss-as-test-integration-security-picketlink-SAML2KerberosAuthenticationTestCase-testJDukePrincipal
3. ibm16 .ibm16-org-jboss-as-test-integration-security-picketlink-SAML2KerberosAuthenticationTestCase-testJDukeRoles

Jenkins job run:
https://pit-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/PIT-prod-EAP64-ibm16-C6-runtest/7/

Email report:
https://pit-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/PIT-prod-EAP64-ibm16-C6-runtest/7/artifact/Always-7945234650.html
Comment 2 Petr Kremensky 2016-01-25 03:21:10 EST
Hi Ryan,

this one was reported for EAP as bug 1268222 and should no longer appear with 6.4.6.CP bits. I'll update the EAP6-PIT task to run with 6.4.6 as default once it's GA (should be in a week or two).

Thanks,
Petr
Comment 3 Ryan Williams 2016-01-29 17:26:14 EST
Re-ran the jobs with the provided fixes and was unable to reproduce the test failures. All tests passed.
Comment 4 Petr Kremensky 2016-02-01 02:39:57 EST
Closing, fixed in 6.4.6.

Note You need to log in before you can comment on or make changes to this bug.